summaryrefslogtreecommitdiffstats
path: root/ci/build_deb/build_debs.sh
diff options
context:
space:
mode:
authorSwati <swatix.sharma@intel.com>2016-06-27 17:53:53 +0530
committerswatisharma <swatix.sharma@intel.com>2016-08-11 15:47:22 +0530
commit7552c26370d38ef5dd182682a0d3bf096661fe0e (patch)
tree4b989be4c6250a1b3768b99c62004d465bc9d798 /ci/build_deb/build_debs.sh
parent6ec128a4e6a1819881f8db6659d4024aac35ce38 (diff)
OPNFV KVM4NFV CICD: Scripts for creating Rpms & Debians for Kernel, Qemu
This patch contains the files for generating rpms & debians for both kernel & qemu changes, as part of kvmfornfv project development. The scripts will be triggered to build kernel-rpm & qemu-rpm packages inside centos docker, and kernel-debian & qemu-debian packages inside ubuntu docker, as part of the CICD process. After the new builds are ready, they will be deployed on the pharos testbed for verification. Later, these will be consumed/triggered by verify/daily Releng JJBs. Reference: https://wiki.opnfv.org/display/kvm/KVM4NFV+CICD+Jobs Change-Id: Ie8e8108566790a6c8db2fef1c9b5799a41732b44 Signed-off-by: Swati Sharma <swatix.sharma@intel.com>
Diffstat (limited to 'ci/build_deb/build_debs.sh')
-rwxr-xr-xci/build_deb/build_debs.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/ci/build_deb/build_debs.sh b/ci/build_deb/build_debs.sh
new file mode 100755
index 000000000..2fcd3629b
--- /dev/null
+++ b/ci/build_deb/build_debs.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+set -eux
+BUILD_FOR=${BUILD_FOR:-ubuntu}
+
+function build_deb_pkg {
+ case $1 in
+ ubuntu)
+ sudo docker build -t kvm_deb .
+ sudo docker run -v $WORKSPACE:/opt/kvmfornfv -t kvm_deb \
+ /opt/kvmfornfv/ci/build_deb/build_debs_docker.sh
+ ;;
+ *) echo "Not supported system"; exit 1;;
+ esac
+}
+
+for system in $BUILD_FOR
+do
+ build_deb_pkg $system
+done